<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Infinity_News
 */

get_header();
$default = infinity_news_get_default_theme_options();
$slider_ed 	= $infinity_news_home_section->slider_ed;
$slider_category 	= $infinity_news_home_section->slider_category;
$slider_autoplay 	= $infinity_news_home_section->slider_autoplay;
$slider_dots 	= $infinity_news_home_section->slider_dots;
$slider_arrows 	= $infinity_news_home_section->slider_arrows;
$sidebar_layout 	= $infinity_news_home_section->sidebar_layout;
?>

<div id="content" class="site-content">
	<div id="primary" class="content-area">
		<main id="main" class="site-main">
			
			<?php 
	        if( is_front_page() ):
	            infinity_news_slider( $slider_ed,$slider_category,$slider_autoplay,$slider_dots,$slider_arrows );
	        endif;
		    
			if ( have_posts() ) :

				if ( is_home() && ! is_front_page() ) :
					?>
					<header>
						<h1 class="page-title screen-reader-text"><?php single_post_title(); ?></h1>
					</header>
					<?php
				endif; ?>

				<div class="article-wraper">
					<?php
					/* Start the Loop */
					while ( have_posts() ) :
						the_post();

						/*
						 * Include the Post-Type-specific template for the content.
						 * If you want to override this in a child theme, then include a file
						 * called content-___.php (where ___ is the Post Type name) and that will be used instead.
						 */
						get_template_part( 'template-parts/content', get_post_type() );

					endwhile; ?>
				</div>

				<?php infinity_news_posts_navigation();

			else :

				get_template_part( 'template-parts/content', 'none' );

			endif;
			?>

		</main><!-- #main -->
	</div><!-- #primary -->

	<?php
	if( $sidebar_layout != 'no-sidebar' ):
		get_sidebar();
	endif; ?>

</div>
<?php
get_footer();
